Subject: Re: [PATCH] i2c-qoriq: modified compatibility for correct prescaler

From: Wolfram Sang <[email-masked]>
Date: Fri, 14 Nov 2014 09:28:33 +0100

> > 
> > If we're going to change the device tree I'd rather just add a property
> > to say what the prescaler is.
> 
>  We would however, leave the boards' device trees that use things like
> "fsl,mpc8543-i2c" as is and introduce the prescaler for the others requiring it.
> 
> 
> Now the drawback is that the driver would require a change, to parse this
> prescaler new prescaler property. Would this be OK from your point of view
> Wolfram ? If yes, I will send the patches for it.

I don't think it is OK. I'd think it can be deduced from the compatible
property. Let's ask the DT experts here. I'll follow their suggestion.